yp-shell(1)

NAME
yp-shell - CLI client to access netconfd-pro server

SYNOPSIS

   yp-shell

DESCRIPTION
yp-shell is a CLI client application that is called by the login process server to start a shell for the specified user.

Refer to the online user manual for full details on using the yp-shell application:

https://docs.yumaworks.com/en/latest/yangcli/index.html

USAGE
The location of this program needs to be configured in the /etc/passwd file. The shell for the login user needs to be set to /usr/bin/yp-shell.

The /etc/shells file needs to be edited as root, and the line '/usr/bin/yp-shell' added to the end of the file.

After this is done, a user shell can be set to 'usr/bin/yp-shell'. On Linux, the 'chsh' program can be used to change the login shell.

Do not install yp-shell as the shell for root or your own login account. yp-shell provides access only to the local NETCONF server. It does not provide access to system commands.

There are no program options or environment variables used by this program.

AUTHOR
YumaWorks, Inc., <support at yumaworks dot com>

SEE ALSO
netconfd-pro(1)